#
# spec file for package wayclip
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wayclip
Version:        0.4.2+git.1709775940.a62ac18
Release:        2.1
Summary:        Wayland clipboard utility
License:        ISC
URL:            https://sr.ht/~noocsharp/wayclip
Source0:        wayclip-%{version}.tar.xz
BuildRequires:  pkgconf
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)

%description
wayclip is a pair of command-line utilities: waycopy
and waypaste, which allow access to the Wayland
clipboard. Specifically, wayclip is a wlr-data-control protocol
client.

%prep
%autosetup -p1 -n wayclip-%{version}

%build
export CFLAGS="%{optflags} $(pkgconf --cflags wayland-client)"
export LDLAGS="%{optflags} $(pkgconf --libs wayland-client)"
%make_build CC=gcc PREFIX="%{_prefix}"

%install
%make_install CC=gcc PREFIX="%{_prefix}"

%files
%license LICENSE
%doc README.md
%{_bindir}/waycopy
%{_bindir}/waypaste
%{_mandir}/man1/waycopy.1%{?ext_man}
%{_mandir}/man1/waypaste.1%{?ext_man}

%changelog
* Wed Apr  2 2025 Matej Cepl <mcepl@cepl.eu>
- Update to version 0.4.2+git.1709775940.a62ac18:
  * add missing options to man page and usage
  * explicitly document that the define is necessary for getopt
  * check that offer isn't null before receiving
  * common: shrink a bit
  * style
  * fix logic to determine which offer to receive
  * manpages: add -p
  * waypaste: support primary clipboard
  * When you have defined .c.o rule, you shouldn't override it.
  * add primary clipboard support with -p
* Tue Mar 11 2025 Matej Cepl <mcepl@cepl.eu>
- Link sources to the working directory instead of copying them.
* Sat Jan  4 2025 Matej Cepl <mcepl@cepl.eu>
- Update from dac1c69 to a62ac18:
  - add missing options to man page and usage
  - explicitly document that the define is necessary for getopt
  - check that offer isn't null before receiving
  - common: shrink a bit
  - style
  - fix logic to determine which offer to receive
  - manpages: add -p
  - waypaste: support primary clipboard
* Fri Dec 23 2022 Matej Cepl <mcepl@suse.com>
- My modifications applied upstream:
  - Take into account $CFLAGS if set.
  - add primary clipboard support with -p
  - When you have defined .c.o rule, you shouldn't override it.
* Fri Oct  7 2022 Matej Cepl <mcepl@suse.com>
- Switched to git-driven workflow and upstream master.
* Tue Oct  4 2022 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for wayclip 0.3.
